You are viewing the PKP Support Forum | PKP Home Wiki

Updating TinyMCE

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

Updating TinyMCE

Postby Celuloide » Tue Sep 10, 2013 2:15 pm

I am trying to update TinyMCE. I've downloaded the lastest release from the website (TinyMCE 4.0.5) and unzipped it but I am not sure where files should be located exactly. Trying at local server, it is supposed files should be at lib/pkp/lib/tinymce, but replacing content for new files and data cache cleared, system says TinyMCE currently is not installed...

Also there are several others paths where I see TinyMCE files from the old installation, like:
- lib/tinymce
- plugins/generic/tinymce

In adittion, the system try to load images from the old path in local server (ojs224/lib/pkp/lib/tinymce/jscripts/tiny_mce/plugins/jbimages/dialog.htm). The correct path should be ojs/lib/pkp/lib/tinymce/jscripts/tiny_mce/plugins/jbimages/dialog.htm and provisionally we had had to create the path outside the system folder to have the images back.

I try to solve this all with an update, but I should be doing something wrong. Can you explain me the update process for "dummies" please?

Thanks in advance!

OJS 2.4.2
PHP 5.4

Posts: 32
Joined: Tue Feb 07, 2012 7:31 am

Re: Updating TinyMCE

Postby asmecher » Tue Sep 10, 2013 3:16 pm

Hi Celuloide,

The lib/tinymce directory is old and shouldn't still be present.

The plugins/generic/tinymce directory contains the plugin that integrates TinyMCE with OJS. It takes care of adapting TinyMCE to OJS's requirements.

TinyMCE itself should be installed into lib/pkp/lib/tinymce.

I suspect the problem is that you're going from 3.x (what's included with OJS) to 4.x; I'm not sure how much they've changed the structure from 3.x but it's likely that you'll have to edit the OJS TinyMCE plugin to suit the new version of TinyMCE. Take a look at the Javascript code in that plugin that's used to embed the editor, and compare it against the sample code available from the TinyMCE website. I suspect the changes will not be enormous.

Alternately, if the newest 3.x suits your requirements, it'll be easier to upgrade to that rather than the 4.x.

Alec Smecher
Public Knowledge Project Team
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Return to OJS Technical Support

Who is online

Users browsing this forum: Yahoo [Bot] and 1 guest